Care Plan Template Version

The care plan template version contains the actual contents for the care plan template. Each care plan contains 'care_plan_template_version' field, which tells you exactly the contents of the care plan template when it was used, even if the contents are now modified.

The care plan template version model

Properties

  • Name
    id
    Type
    string
    Description

    Unique identifier for the care plan template version.

  • Name
    object
    Type
    string
    Description

    Always 'care_plan_template_version'.

  • Name
    care_plan_template
    Type
    string
    Description

    Care plan template this care plan template version belongs to.

  • Name
    sections
    Type
    array of objects
    Description

    List of sections in this care plan template version.

  • Name
    created_at
    Type
    number
    Description

    Timestamp (in ISO 8601 format) of when the care plan template version was created.

  • Name
    last_updated_at
    Type
    number
    Description

    Timestamp (in ISO 8601 format) of when the care plan template version was last updated.

Response

{
    "id": "ctmv_U8xtAULYUrX7GVsTKePy",
    "object": "care_plan_template_version",
    "care_plan_template": "ctmp_NOIYLBGOBNhSwTWCUzfu",
    "sections": [{
      "id": "ntsc_1JtjV1QEY84Fv395Hl7h",
      "name": "Section 1",
     "logic": [
        [
          {
            "field": "nqst_3951JtjV1QEY84FvHl7h",
            "condition": "equal_to",
            "value": "Yes"
          }
        ]
      ],
      "questions": [
        {
          "id": "nqst_U8xtAULYUrX7GVsTKePy",
          "object": "care_plan_template_question",

          "name": "What is your name?",
          "type": "short_answer",
          "show_on_summary_card": true,
          "required": true,
         "logic": [
            [
              {
                "field": "nqst_3951JtjV1QEY84FvHl7h",
                "condition": "equalTo",
                "value": "Yes"
              }
            ]
          ]
        }
      ]
    }],
    "created_at": "2024-04-10T13:20:21.724Z",
    "last_updated_at": "2024-04-10T13:20:21.724Z"
}


GET/v2/care_plan_template_versions/:id

Retrieve a care plan template version

Retrieves the specified care plan template version.

Request

GET
/v2/care_plan_template_versions/:id
curl "https://{{base_subdomain}}.avonhealth.com/v2/care_plan_template_versions/:id" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response

    {
        "id": "ctmv_U8xtAULYUrX7GVsTKePy",
        "object": "care_plan_template_version",
        "care_plan_template": "ctmp_NOIYLBGOBNhSwTWCUzfu",
        "sections": [{
          "id": "ntsc_1JtjV1QEY84Fv395Hl7h",
          "name": "Section 1",
         "logic": [
            [
              {
                "field": "nqst_3951JtjV1QEY84FvHl7h",
                "condition": "equal_to",
                "value": "Yes"
              }
            ]
          ],
          "questions": [
            {
              "id": "nqst_U8xtAULYUrX7GVsTKePy",
              "object": "care_plan_template_question",

              "name": "What is your name?",
              "type": "short_answer",
              "show_on_summary_card": true,
              "required": true,
             "logic": [
                [
                  {
                    "field": "nqst_3951JtjV1QEY84FvHl7h",
                    "condition": "equalTo",
                    "value": "Yes"
                  }
                ]
              ]
            }
          ]
        }],
        "created_at": "2024-04-10T13:20:21.724Z",
        "last_updated_at": "2024-04-10T13:20:21.724Z"
    }